Commit 93c4cb34 authored by Sébastien Wilmet's avatar Sébastien Wilmet

build: do not hardcode API version for the pkg-config file

https://bugzilla.gnome.org/show_bug.cgi?id=773174
parent 4dd21d03
......@@ -8,11 +8,11 @@ AM_DISTCHECK_CONFIGURE_FLAGS = \
--enable-vala \
--enable-glade-catalog
pkgconfig_DATA = gtksourceview-3.0.pc
pkgconfig_DATA = gtksourceview-@GSV_API_VERSION@.pc
EXTRA_DIST = \
gtksourceview.doap \
gtksourceview-3.0.pc.in \
gtksourceview.pc.in \
HACKING \
MAINTAINERS \
config.h.win32.in \
......
......@@ -220,7 +220,7 @@ AC_SUBST(ABS_TOP_SRCDIR)
# Output files
AC_CONFIG_FILES([
gtksourceview-3.0.pc
gtksourceview-${GSV_API_VERSION}.pc:gtksourceview.pc.in
Makefile
config.h.win32
build/Makefile
......
......@@ -8,5 +8,5 @@ Description: Source code editing widget
Version: @PACKAGE_VERSION@
Requires: @AX_PACKAGE_REQUIRES@
Requires.private: @AX_PACKAGE_REQUIRES_PRIVATE@
Libs: -L${libdir} -lgtksourceview-3.0
Cflags: -I${includedir}/gtksourceview-3.0
Libs: -L${libdir} -lgtksourceview-@GSV_API_VERSION@
Cflags: -I${includedir}/gtksourceview-@GSV_API_VERSION@
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment